#include "Keyboard.h"
#define PAUSE (0x48 + 0x88) // tecla "Pause/Break"

int  pins[9] = {A0 ,A2 ,A3 ,A4 ,A5 ,11 ,13 ,A1 ,12};   // pinos dos botões
char keys[9] = {'0','1','4','3',PAUSE,'5',KEY_RETURN,KEY_LEFT_ARROW,KEY_RIGHT_ARROW};  // Teclas a serem enviadas 
int  leds[3] = {9,10,8}; //Leds referentes as teclas "ENTER" - "SETA ESQ" - "SETA DIR" 


void setup() {
  
for (int x=0; x<=8; x++){  
  pinMode(pins[x],INPUT_PULLUP);    // Declara todos os pinos dos botões como ENTRADAS digitais
if (x <= 2){
  pinMode(leds[x],OUTPUT);          // Declara todos os pinos dos leds   como SAÍDAS   digitais
  } 
}

 Keyboard.begin();   
}// fim do setup



void loop() {

for (int x=0; x <= 8; x++){
  if(digitalRead(pins[x])==LOW){
 Keyboard.press (keys[x]);       
if (x >= 6){
  digitalWrite(leds[x-6],HIGH);
  }
delay(20);
  }

  if(digitalRead(pins[x])== HIGH){
  Keyboard.release(keys[x]);   
  if (x >= 6){
    digitalWrite(leds[x-6],LOW);
    }
    }

}// fim do for



int contador = 0;
while(digitalRead(pins[4])==LOW){ // Detecta o pressionamento continuo do botão
  contador ++;
  delay(100);
if (contador == 20){             // SE o botão for pressionado por 2 segundos ... 
  Keyboard.press (KEY_ESC);      // Envia a tecla ESC para sair do jogo.
  delay(100);
  Keyboard.release(KEY_ESC);
  }

}// fim do while


}// fim do loop
