#include <Adafruit_NeoPixel.h>
#define PIN 8
#define numeroPixels 8
Adafruit_NeoPixel strip = Adafruit_NeoPixel(numeroPixels, PIN, NEO_GRB + NEO_KHZ800);
#include <MaxMatrix.h>
#include "sprites.h"


int data =  11; // 11, DIN pin of MAX7219 module
int load =  12; // 12, CS  pin of MAX7219 module
int clock = 13; // 13, CLK pin of MAX7219 module

int maxInUse = 3;    //change this variable to set how many MAX7219's you'll use
int maxNumber = maxInUse*8;

const int scrollDelay =70;
char *curMessage;
boolean newMessageAvailable = false;
int fogo = 9;

MaxMatrix m(data, load, clock, maxInUse); // 11 = DIN - 12 = CS - 13 = CLK
byte buffer[100];


void setup(){
  pinMode(fogo,OUTPUT);
  m.init(); // module initialize
  m.setIntensity(10); 
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'

}

void loop(){

leds();

printStringWithShift("   *** INSERT A COIN ***      ", 50);

leds();

PACMAN();

leds();

printStringWithShift("   PLAYER 1      ", 50);

leds();

soriso();

leds();

printStringWithShift("   Circuito Maker      ", 40);

leds();

gameOver();  

leds();

printStringWithShift("   NEW HIGH SCORE !!!      ", 40);

leds();

PACMAN2();

leds();

printStringWithShift("   VIRTUAL PINBALL      ", 40);
 
 
}// fim do loop
